### Hierarchy

- AtomTest
  - InjectTest

## Index

### Constructors

- constructor

### Properties

- app
- logText

### Methods

- createViewModel
- delay
- dispose
- inheritedPropertyTest
- init
- log
- propertyInjection
- propertyInjectionWithConstructor

## Constructors

### constructor

- new InjectTest(app?: MockApp): InjectTest

- Inherited from AtomTest.constructor

  - Defined in unit/AtomTest.ts:6

  #### Parameters

  - ##### Default value app: MockApp = new MockApp()

  #### Returns InjectTest

## Properties

### Protected app

app: MockApp

Inherited from AtomTest.app

- Defined in unit/AtomTest.ts:8

### logText

logText: string

Inherited from TestItem.logText

- Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:2

## Methods

### createViewModel

- createViewModel<T>(c: IClassOf<T>): Promise<T>

- Inherited from AtomTest.createViewModel

  - Defined in unit/AtomTest.ts:12

  #### Type parameters

  - #### T: AtomViewModel

  #### Parameters

  - ##### c: IClassOf<T>

  #### Returns Promise<T>

### delay

- delay(n: number): Promise<any>

- Inherited from TestItem.delay

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:6

  #### Parameters

  - ##### n: number

  #### Returns Promise<any>

### dispose

- dispose(): Promise<any>

- Inherited from TestItem.dispose

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:4

  #### Returns Promise<any>

### inheritedPropertyTest

- inheritedPropertyTest(): void

- - Defined in tests/di/InjectTest.ts:38

  #### Returns void

### init

- init(): Promise<any>

- Inherited from TestItem.init

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:3

  #### Returns Promise<any>

### log

- log(text: string): void

- Inherited from TestItem.log

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:5

  #### Parameters

  - ##### text: string

  #### Returns void

### propertyInjection

- propertyInjection(): void

- - Defined in tests/di/InjectTest.ts:10

  #### Returns void

### propertyInjectionWithConstructor

- propertyInjectionWithConstructor(): void

- - Defined in tests/di/InjectTest.ts:25

  #### Returns void

Generated using TypeDoc